com.explodingpixels.macwidgets

## Class HudWidgetFactory

- java.lang.Object
- - com.explodingpixels.macwidgets.HudWidgetFactory

-     public class HudWidgetFactory
      extends Object

  A factory for creating HUD style widgets. These widgets should be added to a `HudWindow`.

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static JButton` | `createHudButton(String buttonText)` Creates a Heads Up Display (HUD) style button, similar to that seen in various iApps (e.g.
    `static JCheckBox` | `createHudCheckBox(String checkBoxText)` Creates a Heads Up Display (HUD) style check box, similar to that seen in various iApps (e.g.
    `static JComboBox` | `createHudComboBox(ComboBoxModel model)` Creates a Heads Up Display (HUD) style combo box, similar to that seen in various iApps (e.g.
    `static JLabel` | `createHudLabel(String labelText)` Creates a Heads Up Display (HUD) style label, similar to that seen in various iApps (e.g.
    `static JPasswordField` | `createHudPasswordField(String text)` Creates a Heads Up Display (HUD) style password field, similar to that seen in various iApps (e.g.
    `static JRadioButton` | `createHudRadioButton(String text)` Creates a Heads Up Display (HUD) style radio button, similar to that seen in various iApps (e.g.
    `static JSlider` | `createHudSlider()` Creates a Heads Up Display (HUD) style slider, similar to that seen in various iApps (e.g.
    `static JTextField` | `createHudTextField(String text)` Creates a Heads Up Display (HUD) style text field, similar to that seen in various iApps (e.g.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### createHudLabel

          public static JLabel createHudLabel(String labelText)

      Creates a Heads Up Display (HUD) style label, similar to that seen in various iApps (e.g. iPhoto).
      Parameters:
        `labelText` - the text of the label.
      Returns:
        the HUD style label.
      See Also:
        `HudLabelUI`

    - #### createHudButton

          public static JButton createHudButton(String buttonText)

      Creates a Heads Up Display (HUD) style button, similar to that seen in various iApps (e.g. iPhoto).
      Parameters:
        `buttonText` - the text of the button.
      Returns:
        the HUD style button.
      See Also:
        `HudButtonUI`

    - #### createHudCheckBox

          public static JCheckBox createHudCheckBox(String checkBoxText)

      Creates a Heads Up Display (HUD) style check box, similar to that seen in various iApps (e.g. iPhoto).
      Parameters:
        `checkBoxText` - the text of the check box.
      Returns:
        the HUD style check box.
      See Also:
        `HudCheckBoxUI`

    - #### createHudComboBox

          public static JComboBox createHudComboBox(ComboBoxModel model)

      Creates a Heads Up Display (HUD) style combo box, similar to that seen in various iApps (e.g. iPhoto).
      Parameters:
        `model` - the model containing the combo box items.
      Returns:
        the HUD style combo box.
      See Also:
        `HudComboBoxUI`

    - #### createHudTextField

          public static JTextField createHudTextField(String text)

      Creates a Heads Up Display (HUD) style text field, similar to that seen in various iApps (e.g. iPhoto).
      Parameters:
        `text` - the initial text in the text field.
      Returns:
        the HUD style text field.
      See Also:
        `HudTextFieldUI`

    - #### createHudPasswordField

          public static JPasswordField createHudPasswordField(String text)

      Creates a Heads Up Display (HUD) style password field, similar to that seen in various iApps (e.g. iPhoto).
      Parameters:
        `text` - the initial text in the password field.
      Returns:
        the HUD style password field.
      See Also:
        `HudPasswordFieldUI`

    - #### createHudRadioButton

          public static JRadioButton createHudRadioButton(String text)

      Creates a Heads Up Display (HUD) style radio button, similar to that seen in various iApps (e.g. iPhoto).
      Parameters:
        `text` - the text of the radio button.
      Returns:
        the HUD style radio button.
      See Also:
        `HudRadioButtonUI`

    - #### createHudSlider

          public static JSlider createHudSlider()

      Creates a Heads Up Display (HUD) style slider, similar to that seen in various iApps (e.g. iPhoto).
      Returns:
        the HUD style slider.
      See Also:
        `HudSliderUI`